# $Revision: 1.32 $, $Date: 2008-06-14 10:19:50 $
Summary:	A program to use the special keys on internet/multimedia keyboards
Summary(pl.UTF-8):	Obsługa klawiszy specjalnych na internetowych/multimedialnych klawiaturach
Name:		hotkeys
Version:	0.5.7.1
Release:	4
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://ypwong.org/hotkeys/%{version}/%{name}_%{version}.tar.gz
# Source0-md5:	68e2aea6b4444f943b5f85ac00542a1c
Patch0:		%{name}-db41.patch
Patch1:		%{name}-libxml2.patch
Patch2:		%{name}-ac_am.patch
Patch3:		%{name}-home_etc.patch
URL:		http://ypwong.org/hotkeys/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db-devel >= 4.1
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libxml2-devel >= 2.2.8
BuildRequires:	pkgconfig >= 1:0.7
BuildRequires:	xosd-devel >= 0.7.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HotKeys daemon listens for the "special" hotkeys that you won't
normally use on your Internet/Multimedia keyboards. The buttons
perform their intended behaviors, such as volume up and down, mute the
speaker, or launch applications. It has On-screen display (OSD) to
show the volume, program that's being started, etc. It features an
XML-based keycode configuration file format, which makes it possible
to define the hotkeys to launch any programs you want.

%description -l pl.UTF-8
Demon HotKeys czeka na naciśnięcia "specjalnych" klawiszy, których
normalnie nie użyłbyś z klawiatur internetowych/multimedialnych.
Przyciski wykonują swoje zamierzone zadanie, takie jak zwiększanie i
zmniejszanie głośności, wyciszanie głośnika, uruchamianie programów.
Obsługuje OSD (On-screen display) do pokazywania głośności,
uruchamianych programów itp. Klawisze mogą być konfigurowane przez
plik formacie XML.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-xosd \
	--with-gtk \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS TODO debian/changelog def/sample.xml
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/hotkeys.conf
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hotkeys.spec,v $
Revision 1.32  2008-06-14 10:19:50  arekm
- rel 4

Revision 1.31  2007-10-13 23:29:47  dzeus
- rel. 3

Revision 1.30  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.28  2006/03/04 20:52:29  maciek2w
- removed TODO

Revision 1.27  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.26  2005/06/29 08:41:01  teodor
- added support for HOME_ETC

Revision 1.25  2005/06/25 17:57:38  saq
- ac_am.patch: fix for libxml CFLAGS substitution

Revision 1.24  2005/02/20 19:42:43  sardzent
- added TODO

Revision 1.23  2004/11/27 19:21:09  saq
- massive attack: more BR epoch fixes

Revision 1.22  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.21  2004/02/17 09:07:14  qboosh
- --with-gtk, so added gtk+(2) BRs

Revision 1.20  2004/02/16 20:55:43  blues
- release 1 - enabled splash and xosd. It works now :D

Revision 1.19  2004/02/15 23:34:11  qboosh
- added db41 and libxml2 patches, removed hacks

Revision 1.18  2004/02/15 13:29:22  qboosh
- fixed db usage; still ugly

Revision 1.17  2004/02/14 22:52:42  blues
- release 0.9 - it builds now (but very ugly)

Revision 1.16  2004/02/14 17:30:19  blues
- started upgrade to 0.5.7.1

Revision 1.15  2003/06/16 19:09:15  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.14  2003/05/28 12:59:05  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:48:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.11  2002/11/27 21:10:38  juandon
- new %%doc

Revision 1.10  2002/10/09 13:14:33  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.9  2002/05/21 23:13:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/04/25 16:34:03  arturs
fixed a small typo

Revision 1.7  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/12 22:36:28  blues
- docs simplified
- ac regeneration added (BR added)
- added version of required db2

Revision 1.4  2001/11/30 11:48:10  qboosh
- adapterized, pl translations, cosmetics, gzip doc

Revision 1.3  2001/11/30 11:02:26  alchemyx
- changelog cut
- changed group
- buildrequires fixed
- removed unneeded lines (like Requires)

Revision 1.2  2001/11/30 09:41:04  alchemyx
- updated to 0.5.4
- adapterized
- removed Serial
